# Path to the project.
ROOT_DIR:=			$(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
LIB_FSPATH:=		$(GOPATH)/src/github.com/spatialmodel/inmap
GO_OS:=				$(shell go env GOOS)
GO_ARCH:=			$(shell go env GOARCH)

#include git.mk

print:
	@echo
	@echo ROOT_DIR : 	$(ROOT_DIR)
	@echo LIB_FSPATH : 	$(LIB_FSPATH)
	@echo GO_OS : 		$(GO_OS)
	@echo GO_ARCH : 	$(GO_ARCH)
	@echo


build: 
	cd $(LIB_FSPATH) && go build ./cmd/inmap # Compile the InMAP executable.
run: build
	./inmap
test:
	cd $(LIB_FSPATH) && go test ./... -short





